import pandas as pd
import numpy as np

# Define parameters for dataset creation
np.random.seed(42)
num_records = 1000  # Number of records

# Generate random dates within the year 2024
date_range = pd.date_range(start="2024-01-01", end="2024-12-31", freq='D')
dates = np.random.choice(date_range, num_records)

# Define product names and regions
products = ['Product A', 'Product B', 'Product C', 'Product D', 'Product E']
regions = ['North America', 'Europe', 'Asia', 'South America', 'Africa']

# Generate random data
product_choices = np.random.choice(products, num_records)
region_choices = np.random.choice(regions, num_records)
sales_amount = np.round(np.random.uniform(50, 5000, num_records))
quantity_sold = np.random.randint(1, 100, num_records)

# Create the DataFrame
sales_data = pd.DataFrame({
    'Date': dates,
    'Product': product_choices,
    'Region': region_choices,
    'Sales Amount': sales_amount,
    'Quantity Sold': quantity_sold
})
print(sales_data)
# Save the DataFrame to a CSV file
sales_data.to_csv("./20_sales_data_2024.csv", index=False)

print("Dataset saved as '20_sales_data_2024.csv'")
